"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = verify;
function verify(email, password, done) {
  var _this = this;

  this.db.users.filter(this.db.r.row('emails').contains({ address: email })).limit(1).run().then(function (users) {
    if (!users.length) return done(null, false, "Invalid email");

    var user = users[0];
    _this.comparePassword(password, user.password, function (err, match) {
      if (err) done(err);else if (match) done(null, user);else done(null, false, "Invalid password");
    });
  }).catch(function (err) {
    return done(err);
  });
}